Bug 522821 - (bluetile) Review Request: bluetile - A modern tiling window manager with a gentle learning curve
Review Request: bluetile - A modern tiling window manager with a gentle lear...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
: Reopened
Depends On: 426754 ghc-glade ghc-ConfigFile
Blocks: Haskell-pkg-reviews
  Show dependency treegraph
 
Reported: 2009-09-11 12:03 EDT by Yaakov Nemoy
Modified: 2011-04-18 17:20 EDT (History)
8 users (show)

See Also:
Fixed In Version: bluetile-0.5.3-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-15 16:47:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yaakov Nemoy 2009-09-11 12:03:58 EDT
Spec URL: http://ynemoy.fedorapeople.org/review/bluetile.spec
SRPM URL: http://ynemoy.fedorapeople.org/review/bluetile-0.2-1.fc11.src.rpm
Description: Bluetile is a tiling window manager for X based on xmonad. Windows are arranged automatically to tile the screen without gaps or overlap, maximising screen use. Bluetile's focus lies on making the tiling paradigm easily accessible for users coming from traditional window managers by drawing on known conventions and making all features available using the mouse. It also tries to be usable 'out of the box', making configuration unnecessary.
Comment 1 Martin Gieseking 2009-09-12 09:14:02 EDT
Some of quick comments:
- the license tag must be BSD
- BuildRequires: ghc is redundant
- add braces to all macros, i.e. 
  replace %_datadir/%name-%version/* by %{_datadir}/%{name}-%{version}/*
Comment 2 Jens Petersen 2009-09-12 10:36:40 EDT
(In reply to comment #1)
> - BuildRequires: ghc is redundant

Is it?
Comment 3 Martin Gieseking 2009-09-12 11:08:25 EDT
(In reply to comment #2)
> Is it?  

As far as I can see, it's automatically added as a dependency of ghc-gtk-devel.
Comment 4 Yaakov Nemoy 2009-09-12 13:53:00 EDT
It's a haskell package, and ghc is not included by default in Fedora (yet). It's so fundamental to all haskell packages that a little redundancy won't hurt. Especially considering that the gtk BR could go away.

In some cases, it's also necessary to specify a particular version of GHC, which the gtk package might not do.
Comment 5 Martin Gieseking 2009-09-14 04:10:23 EDT
Yes, I think you're right. It's probably better to leave BR as is.
Comment 7 Jens Petersen 2010-01-10 19:52:04 EST
Yaakov what do you want to do with bluetile?

It seems there hasn't been a release since xmonad 0.9 was released.

I gather that xmonad-0.9.1 has most of bluetile's functionality
so maybe we can just drop this?
Comment 8 Jens Petersen 2010-01-11 07:17:52 EST
Ok I closed ghc-xmonad-*bluetilebranch after talking to Yaakov
since they should be in xmonad*-0.9.1.

Leaving this open for now to wait for a updated package that works with current
xmonad.
Comment 9 Jens Petersen 2010-01-14 20:16:24 EST
I checked a bit more carefully:

- Bluetile layout is now in darcs:
http://code.haskell.org/XMonadContrib/XMonad/Config/Bluetile.hs
so will probably be in the next release I guess.

and http://xmonad.wordpress.com/2009/12/06/bluetile-branch-merged-into-xmonad/

so I really think we can close this for now. :)
Comment 10 Yaakov Nemoy 2010-01-16 05:19:09 EST
AFAIK i still want a 'bluetile' package that has a /usr/bin/bluetile that the end user can use. Unless xmonad-contrib provides this, let's not close this review just yet.
Comment 11 Jens Petersen 2010-01-16 05:36:25 EST
Yep I agree and the same occurred to me in the meantime too.

It shouldn't be that hard - someone just needs to submit a patch and/or upload a new bluetile hackage. :)

I think we can leave this assigned to you until such a package exists: alternatively we would close and then reopen when said package is available. :)
Comment 12 Jens Petersen 2010-01-17 19:22:00 EST
Jan told me he is planning to update bluetile to use xmonad-contrib after its next release which should include Config/Bluetile.hs.
Comment 13 Jens Petersen 2010-04-07 20:02:54 EDT
Closing this out for now - please reopen or file a new review bug when a new bluetile package is on hackage.  Thanks!
Comment 14 Jens Petersen 2010-06-26 04:45:26 EDT
http://hackage.haskell.org/package/bluetile-0.4.1 was released
so reopening in case anyone wants to pick this up again.
Comment 15 Jens Petersen 2010-08-31 03:06:00 EDT
Yaakov?  You still there?
Comment 16 Jens Petersen 2010-09-14 03:53:24 EDT
I can update the package - there have been some upstream releases
and it is looking promising.  However it needs glade, ConfigFile
and in turn MissingH.
Comment 17 Ben Boeckel 2010-09-14 09:16:03 EDT
(In reply to comment #16)
> ConfigFile and in turn MissingH.

I can submit these (they're on my backlog) and mark them as blocking this.
Comment 18 Jens Petersen 2011-02-01 05:03:36 EST
Just ConfigFile left to review.

Updated packaging:-

Spec: http://petersen.fedorapeople.org/bluetile/bluetile.spec
SRPM: http://petersen.fedorapeople.org/bluetile/bluetile-0.5.3-1.fc14.src.rpm
Comment 19 Burnce 2011-03-15 10:43:07 EDT
Also missing the following dependency:

ghc-regex-compat
Comment 21 Narasimhan 2011-03-31 10:16:43 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i *.rpm ../bluetile.spec
bluetile.x86_64: W: no-manual-page-for-binary bluetile
Each executable in standard binary directories should have a man page.

bluetile.x86_64: W: no-manual-page-for-binary gnome-bluetile-session
Each executable in standard binary directories should have a man page.

2 packages and 1 specfiles checked; 0 errors, 2 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, BSD 3 clause variant
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - Used to store three files used by bluetile executable
        rpmlint - OK
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - Not present
        %clean is ignored - Not present
        Build Requires list - OK
        Summary and description - OK
        API documentation - None, it is an executable package.

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
Licensed with BSD 3clause variant license.

[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included in /usr/share/doc/bluetile-{ver} folder

[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum bluetile-0.5.3.tar.gz 
6c3aecd280640f8435a8400e102cae95  bluetile-0.5.3.tar.gz

md5sum built/bluetile-0.5.3-2.fc15.src/bluetile-0.5.3.tar.gz 
6c3aecd280640f8435a8400e102cae95  built/bluetile-0.5.3-2.fc15.src/bluetile-0.5.3.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.

[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[NA]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[-]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
desktop-file-install is not being used.
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installs fine. I am able to see bluetile option in gnome display manager. Once started, I see the dock panel to the left and a welcome dialog. When I click on the open windows button, two more windows are opened. 
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.


cabal2spec-diff is OK.

Issues:
As per packaging guidelines, desktop-file-install is to be used for the .desktop file. I feel that since we do not display the menu item in the menu, not using desktop-file-install should be fine.

I clicked on the "Configure bluetile" button. I got a dialog to configure the file manager. I set it to nautilus and closed the dialog. When  I clicked on the button again, I got an "Input/Output error".
Comment 22 Jens Petersen 2011-04-01 10:54:08 EDT
Thanks for the review!

(In reply to comment #21)
> bluetile.x86_64: W: no-manual-page-for-binary bluetile
> Each executable in standard binary directories should have a man page.
> 
> bluetile.x86_64: W: no-manual-page-for-binary gnome-bluetile-session
> Each executable in standard binary directories should have a man page.

Ah, I had missed the included manpages: let me add them, thanks.

> [-]MUST: Packages containing GUI applications must include a %{name}.desktop
> file, and that file must be properly installed with desktop-file-install in the
> %install section desktop-file-install is not being used.

Good catch, fixing.

> I clicked on the "Configure bluetile" button. I got a dialog to configure the
> file manager. I set it to nautilus and closed the dialog. When  I clicked on
> the button again, I got an "Input/Output error".

Hmm, haven't tried that yet - might be some upstream bug?

Above issues should be fixed in this updated package:

Spec: http://petersen.fedorapeople.org/bluetile/bluetile.spec
Srpm: http://petersen.fedorapeople.org/bluetile/bluetile-0.5.3-3.fc14.src.rpm

Scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=2966663
Comment 23 Narasimhan 2011-04-01 23:54:49 EDT
Thanks. No rpmlint warnings now. Other changes look fine.

I will try to reproduce the error after installing the package from  our repos. If still there, I will file a bug upstream.

APPROVED.
Comment 24 Jens Petersen 2011-04-03 22:33:08 EDT
Thanks again for checking and reviewing the package.

(In reply to comment #21)
> I clicked on the "Configure bluetile" button. I got a dialog to configure the
> file manager. I set it to nautilus and closed the dialog. When  I clicked on
> the button again, I got an "Input/Output error".

I tried now in F14 and F13 (not quite sure yet on a user-friendly
GUI way to start bluetile in F15 since it doesn't have a session menu
yet AFAIK).  For me clicking on the configure button in
the bluetile panel just opens ".bluetilerc" in gedit.
Perhaps you didn't have have all of gnome installed?
and possibly bluetile should require some gnome component
to avoid a filemanager configuration dialog?
I think bluetile is designed mainly for people coming
from gnome/metacity towards xmonad, so I guess it
kind of assumes gnome is installed.  Perhaps you can try to
check "~/.xsession-errors" to see if there is any warnings
output from bluetile when you have time.
Comment 25 Jens Petersen 2011-04-04 01:39:48 EDT
New Package SCM Request
=======================
Package Name: bluetile
Short Description: Easy tiling window manager for GNOME
Owners: petersen
Branches: f15 f14 f13
InitialCC: haskell-sig
Comment 26 Jason Tibbitts 2011-04-05 11:18:19 EDT
Git done (by process-git-requests).
Comment 27 Jens Petersen 2011-04-06 07:35:05 EDT
Imported and built.
Comment 28 Fedora Update System 2011-04-06 07:44:19 EDT
bluetile-0.5.3-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/bluetile-0.5.3-4.fc15
Comment 29 Fedora Update System 2011-04-06 21:44:44 EDT
bluetile-0.5.3-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bluetile-0.5.3-4.fc14
Comment 30 Fedora Update System 2011-04-06 22:20:02 EDT
Package bluetile-0.5.3-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bluetile-0.5.3-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/bluetile-0.5.3-4.fc15
then log in and leave karma (feedback).
Comment 31 Fedora Update System 2011-04-07 21:47:35 EDT
bluetile-0.5.3-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/bluetile-0.5.3-4.fc13
Comment 32 Narasimhan 2011-04-09 07:49:38 EDT
Sorry was away for a while, I will be able to check this on Tuesday. Will report any issues here and would file a defect if necessary.

Thanks
Comment 33 Fedora Update System 2011-04-15 16:47:19 EDT
bluetile-0.5.3-4.fc14 has been pushed to the Fedora 14 stable repository.
Comment 34 Fedora Update System 2011-04-15 17:30:23 EDT
bluetile-0.5.3-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2011-04-18 17:20:18 EDT
bluetile-0.5.3-4.fc13 has been pushed to the Fedora 13 stable repository.

Note You need to log in before you can comment on or make changes to this bug.